#!/bin/sh

if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
	set -x;
fi

prog="`basename $0`"
tmp_d="/usr/local/psa/var"
session_d="/var/lib/php/session"
mu="`echo $prog | awk -F '-' '{print $1}'`"
mu_flag="$tmp_d/${mu}-php_session_perms.flag"

[ -f "$mu_flag" ] && exit 0
[ -d "$session_d" ] && chmod 1733 $session_d
touch $mu_flag
exit 0
